Name:           mmg3d
Version:        4.0.1
Release:        3%{?dist}
Summary:        Anisotropic Tetrahedral Remesher / Moving Mesh Generator

Group:          Applications/Engineering
License:        GPLv3+
URL:            http://www.math.u-bordeaux1.fr/~dobrzyns/logiciels/mmg3d.php
Source0:        https://gforge.inria.fr/frs/download.php/file/33418/%{name}4-%{version}-Source.tar.gz

# Set a soname to the shared library
Patch0:         mmg3d_soname.patch
# Fix install directories
Patch1:         mmg3d_install-dirs.patch

BuildRequires:  cmake
BuildRequires:  scotch-devel

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
Anisotropic Tetrahedral Remesher / Moving Mesh Generator. Anisotropic mesh 
adaptation methods are used to control the accuracy of numerical solution 
while simultaneously reducing the number of mesh vertices to a minimum. 


%package libs
Summary:        Library of %{name}

%description libs
Libraries for %{name}.


%package devel
Summary:        Development with %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
Header files for %{name}.


%prep
%autosetup -p1 -n %{name}4-%{version}-Source


%build
LDFLAGS="-Wl,--as-needed" %cmake -DLIBMMG3D4_STATIC=OFF -DLIBMMG3D4_SHARED=ON .
make %{?_smp_mflags}


%install
%make_install


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%{_bindir}/%{name}4

%files libs
%doc Copyright.txt README.txt
%{_libdir}/lib%{name}4.so.*

%files devel
%{_includedir}/*
%{_libdir}/lib%{name}4.so


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 09 2014 Sandro Mani <manisandro@gmail.com> - 4.0.1-2
- Add -Wl,--as-needed

* Sat Jun 14 2014 Sandro Mani <manisandro@gmail.com> - 4.0.1-1
- Update to 4.0.1
- Spec cleanup

* Fri Jan 17 2014 Alexey Vasyukov <vasyukov@gmail.com> - 4.0.0-2
- Disable scotch
- Fix soname and lib install issues

* Fri Jan 17 2014 Alexey Vasyukov <vasyukov@gmail.com> - 4.0.0-1
- Initial package for Fedora

